/**
    Copyright (C) 1997 Pekka Nikander & Juha Prssinen.
    All rights Reserved.

    XXX   %Z%%M% version %I% date:%G%

    Module:  IpRoutingFromNetMessenger (implementation)
    Package: ip
    File:    IpRoutingFromNetMessenger.java


*/
package fi.hut.tcm.jacob.tcpip.ip;
import fi.hut.tcm.jacob.conduits.*;
import fi.hut.tcm.jacob.tcpip.*;

/**
    IpRoutingFromNetMessenger
    
    Calls the state's applyFromNet() method.
*/
public class IpRoutingFromNetMessenger
  extends IpRoutingMessenger {
    public static IpRoutingFromNetMessenger instance = new IpRoutingFromNetMessenger();

    public void apply(Message message, State state, Session session) {
    //+ IpRoutingFromNetMessenger::apply(Message, State, Session)
      IpRoutingState st = (IpRoutingState) state;
      st.applyFromNet(message, session, this);
    //- IpRoutingFromNetMessenger::apply(Message, State, Session)
    }

}; //IpRoutingFromNetMessenger

