/**
    Copyright (C) 1997 Pekka Nikander & Juha Prssinen.
    All rights Reserved.

    XXX   %Z%%M% version %I% date:%G%

    Module:  IpRoutingToNetMessenger (implementation)
    Package: ip
    File:    IpRoutingToNetMessenger.java


*/
package fi.hut.tcm.jacob.tcpip.ip;
import fi.hut.tcm.jacob.conduits.*;
import fi.hut.tcm.jacob.tcpip.*;

/**
    IpRoutingToNetMessenger
    
    Calls the state's applyToNet() method.
*/
public class IpRoutingToNetMessenger
  extends IpRoutingMessenger {
    public static IpRoutingToNetMessenger instance = new IpRoutingToNetMessenger();

    public void apply(Message message, State state, Session session) {
    //+ IpRoutingToNetMessenger::apply(Message, State, Session)
      IpRoutingState st = (IpRoutingState) state;
      st.applyToNet(message, session, this);
    //- IpRoutingToNetMessenger::apply(Message, State, Session)
    }

}; //IpRoutingToNetMessenger

