/**
    Copyright (C) 1997 Pekka Nikander & Juha Prssinen.
    All rights Reserved.

    XXX   %Z%%M% version %I% date:%G%

    Module:  TcpipOutOfBand (implementation)
    Package: tcpip
    File:    TcpipOutOfBand.java


*/
package fi.hut.tcm.jacob.tcpip;
import fi.hut.tcm.jacob.conduits.*;

/**
    TcpipOutOfBand
    
    
*/
public class TcpipOutOfBand
  implements OutOfBand {
    protected int datalen;
    protected int ethFrameType;
    protected long srcEthAddr;
    protected long destEthAddr;
    protected int srcIpAddr;
    protected int srcPort;
    protected int destIpAddr;
    protected int destPort;
    protected int nextHopIpAddr;
    protected String interfaceId;
    protected boolean incoming;

    public int getDataLen() {
    //+ TcpipOutOfBand::getDataLen( )
      return datalen;
    //- TcpipOutOfBand::getDataLen( )
    }

    public void setDataLen(int len) {
    //+ TcpipOutOfBand::setDataLen(int)
      datalen = len;
    //- TcpipOutOfBand::setDataLen(int)
    }

    public int getEthFrameType() {
    //+ TcpipOutOfBand::getEthFrameType( )
      return this.ethFrameType;
    //- TcpipOutOfBand::getEthFrameType( )
    }

    public void setEthFrameType(int frtype) {
    //+ TcpipOutOfBand::setEthFrameType(int)
      this.ethFrameType = frtype;
    //- TcpipOutOfBand::setEthFrameType(int)
    }

    public long getSrcEthAddr() {
    //+ TcpipOutOfBand::getSrcEthAddr( )
      return this.srcEthAddr;
    //- TcpipOutOfBand::getSrcEthAddr( )
    }

    public void setSrcEthAddr(long newAddr) {
    //+ TcpipOutOfBand::setSrcEthAddr(long)
      this.srcEthAddr = newAddr;
    //- TcpipOutOfBand::setSrcEthAddr(long)
    }

    public long getDestEthAddr() {
    //+ TcpipOutOfBand::getDestEthAddr( )
      return this.destEthAddr;
    //- TcpipOutOfBand::getDestEthAddr( )
    }

    public void setDestEthAddr(long newAddr) {
    //+ TcpipOutOfBand::setDestEthAddr(long)
      this.destEthAddr = newAddr;
    //- TcpipOutOfBand::setDestEthAddr(long)
    }

    public int getSrcIpAddr() {
    //+ TcpipOutOfBand::getSrcIpAddr( )
      return this.srcIpAddr;
    //- TcpipOutOfBand::getSrcIpAddr( )
    }

    public void setSrcIpAddr(int newAddr) {
    //+ TcpipOutOfBand::setSrcIpAddr(int)
      this.srcIpAddr = newAddr;
    //- TcpipOutOfBand::setSrcIpAddr(int)
    }

    public int getSrcPort() {
    //+ TcpipOutOfBand::getSrcPort( )
      return this.srcPort;
    //- TcpipOutOfBand::getSrcPort( )
    }

    public void setSrcPort(int port) {
    //+ TcpipOutOfBand::setSrcPort(int)
      this.srcPort = port;
    //- TcpipOutOfBand::setSrcPort(int)
    }

    public int getDestIpAddr() {
    //+ TcpipOutOfBand::getDestIpAddr( )
      return this.destIpAddr;
    //- TcpipOutOfBand::getDestIpAddr( )
    }

    public void setDestIpAddr(int newAddr) {
    //+ TcpipOutOfBand::setDestIpAddr(int)
      this.destIpAddr = newAddr;
    //- TcpipOutOfBand::setDestIpAddr(int)
    }

    public int getDestPort() {
    //+ TcpipOutOfBand::getDestPort( )
      return destPort;
    //- TcpipOutOfBand::getDestPort( )
    }

    public void setDestPort(int port) {
    //+ TcpipOutOfBand::setDestPort(int)
      this.destPort = port;
    //- TcpipOutOfBand::setDestPort(int)
    }

    public int getNextHopIpAddr() {
    //+ TcpipOutOfBand::getNextHopIpAddr( )
      return this.nextHopIpAddr;
    //- TcpipOutOfBand::getNextHopIpAddr( )
    }

    public void setNextHopIpAddr(int newAddr) {
    //+ TcpipOutOfBand::setNextHopIpAddr(int)
      this.nextHopIpAddr = newAddr;
    //- TcpipOutOfBand::setNextHopIpAddr(int)
    }

    public String getInterfaceId() {
    //+ TcpipOutOfBand::getInterfaceId( )
      return new String(interfaceId);
    //- TcpipOutOfBand::getInterfaceId( )
    }

    public void setInterfaceId(String id) {
    //+ TcpipOutOfBand::setInterfaceId(String)
      interfaceId = new String(id);
    //- TcpipOutOfBand::setInterfaceId(String)
    }

    public boolean isIncoming() {
    //+ TcpipOutOfBand::isIncoming( )
      return this.incoming;
    //- TcpipOutOfBand::isIncoming( )
    }

    public void setIncoming(boolean value) {
    //+ TcpipOutOfBand::setIncoming(boolean)
      this.incoming = value;
    //- TcpipOutOfBand::setIncoming(boolean)
    }

}; //TcpipOutOfBand
