/**
    Copyright (C) 1997 Pekka Nikander & Juha Prssinen.
    All rights Reserved.

    XXX   %Z%%M% version %I% date:%G%

    Module:  IpFragmentationFromNetMessenger (implementation)
    Package: ip
    File:    IpFragmentationFromNetMessenger.java


*/
package fi.hut.tcm.jacob.tcpip.ip;
import fi.hut.tcm.jacob.conduits.*;
import fi.hut.tcm.jacob.tcpip.*;

/**
    IpFragmentationFromNetMessenger
    
    Only provides the standard apply() method, that calls the state's
    applyFromNet() method.
    
    
*/
public class IpFragmentationFromNetMessenger
  extends IpMessenger {
    public static IpFragmentationFromNetMessenger instance = new IpFragmentationFromNetMessenger();

    public void apply(Message message, State state, Session session) {
    //+ IpFragmentationFromNetMessenger::apply(Message, State, Session)
      IpFragmentationState st = (IpFragmentationState) state;
      st.applyFromNet(message, session, this);
    //- IpFragmentationFromNetMessenger::apply(Message, State, Session)
    }

}; //IpFragmentationFromNetMessenger

