/**
    Copyright (C) 1997 Pekka Nikander & Juha Prssinen.
    All rights Reserved.

    XXX   %Z%%M% version %I% date:%G%

    Module:  IpProtocolAccessor (implementation)
    Package: ip
    File:    IpProtocolAccessor.java


*/
package fi.hut.tcm.jacob.tcpip.ip;
import fi.hut.tcm.jacob.conduits.*;
import fi.hut.tcm.jacob.tcpip.*;

/**
    IpProtocolAccessor
    
    
*/
public class IpProtocolAccessor
  implements Accessor {

    public Object getKey(Message message) {
    //+ IpProtocolAccessor::getKey(Message)
      BinaryBuffer buffer = message.getBuffer();
      return new Byte((byte) buffer.getByte(9));
    //- IpProtocolAccessor::getKey(Message)
    }

    /**
        Writes the id of the higher level protocol to the PROTOCOL field of
        the IP header
    */
    public void setKey(Message message, Object key) {
    //+ IpProtocolAccessor::setKey(Message, Object)
      BinaryBuffer buffer = message.getBuffer();
      buffer.setByte(9, ((Byte) key).byteValue());
    //- IpProtocolAccessor::setKey(Message, Object)
    }

}; //IpProtocolAccessor


