/**
    Copyright (C) 1997 Pekka Nikander & Juha Prssinen.
    All rights Reserved.

    XXX   %Z%%M% version %I% date:%G%

    Module:  IpReassemblySession (implementation)
    Package: ip
    File:    IpReassemblySession.java


*/
package fi.hut.tcm.jacob.tcpip.ip;
import fi.hut.tcm.jacob.conduits.*;

/**
    IpReassemblySession
    
    Ignores outgoing packets and unfragmented incoming packets. Incoming IP
    fragments are temporarily stored until all fragments have arrived. The
    fragments are then assembled and the resulting IP datagram forwarded to
    the next conduit in the direction of the application layer.
*/
public class IpReassemblySession
  extends Session {
    protected IpReassemblyTable reassemblyTable;

    public IpReassemblySession(State initialState) {
    //+ IpReassemblySession::IpReassemblySession(State)
      super(initialState);
      reassemblyTable = new IpReassemblyTable();
    //- IpReassemblySession::IpReassemblySession(State)
    }

}; //IpReassemblySession

