/**
    Copyright (C) 1997 Pekka Nikander & Juha Prssinen.
    All rights Reserved.

    XXX   %Z%%M% version %I% date:%G%

    Module:  UdpHeaderToNetMessenger (implementation)
    Package: udp
    File:    UdpHeaderToNetMessenger.java


*/
package fi.hut.tcm.jacob.tcpip.udp;
import fi.hut.tcm.jacob.conduits.*;

/**
    UdpHeaderToNetMessenger
    
    
*/
public class UdpHeaderToNetMessenger
  extends UdpMessenger {
    public static UdpHeaderToNetMessenger instance = new UdpHeaderToNetMessenger();

    public void apply(Message message, State state, Session session) {
    //+ UdpHeaderToNetMessenger::apply(Message, State, Session)
      ((UdpHeaderState) state).applyToNet(message, session, this);
    //- UdpHeaderToNetMessenger::apply(Message, State, Session)
    }

    public void addUdpHeader(Message message) {
    //+ UdpHeaderToNetMessenger::addUdpHeader(Message)
      message.getBuffer().prependHeader(8);
    //- UdpHeaderToNetMessenger::addUdpHeader(Message)
    }

}; //UdpHeaderToNetMessenger

